AbstractHelpAction
Keywords: javax.help.AbstractHelpAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class AbstractHelpAction

    java.lang.Object
      javax.help.AbstractHelpAction

All Implemented Interfaces:
  HelpAction

Direct Known Subclasses:
  BackAction, FavoritesAction, ForwardAction, HomeAction, PrintAction, PrintSetupAction, ReloadAction, SeparatorAction

public abstract class AbstractHelpAction
extends java.lang.Object
implements HelpAction

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener l)` Add a PropertyChangeListener to the listener list.
`java.lang.Object` | `getControl()` Getter for property control.
`java.lang.Object` | `getValue(java.lang.String key)` Gets the `Object` associated with the specified key.
`boolean` | `isEnabled()` Getter for property enabled.
`void` | `putValue(java.lang.String key, java.lang.Object newValue)` Sets the `Value` associated with the specified key.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener l)` Removes a PropertyChangeListener from the listener list.
`void` | `setEnabled(boolean enabled)` Setter for property enabled.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener l)

  Add a PropertyChangeListener to the listener list.

  Specified by:
    `addPropertyChangeListener` in interface `HelpAction`
  Parameters:
    `l` - The listener to add.

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener l)

  Removes a PropertyChangeListener from the listener list.

  Specified by:
    `removePropertyChangeListener` in interface `HelpAction`
  Parameters:
    `l` - The listener to remove.
  See Also:
    `HelpAction.addPropertyChangeListener(java.beans.PropertyChangeListener)`

### isEnabled

    public boolean isEnabled()

  Getter for property enabled.

  Specified by:
    `isEnabled` in interface `HelpAction`
  Returns:
    Value of property enabled.

### setEnabled

    public void setEnabled(boolean enabled)

  Setter for property enabled.

  Specified by:
    `setEnabled` in interface `HelpAction`
  Parameters:
    `enabled` - New value of property enabled.

### getControl

    public java.lang.Object getControl()

  Getter for property control.

  Specified by:
    `getControl` in interface `HelpAction`
  Returns:
    Value of property control.

### getValue

    public java.lang.Object getValue(java.lang.String key)

  Gets the `Object` associated with the specified key.

  Specified by:
    `getValue` in interface `HelpAction`
  Parameters:
    `key` - a string containing the specified `key`
  Returns:
    the binding `Object` stored with this key; if there are no keys, it will return `null`
  See Also:
    `Action#getValue`

### putValue

    public void putValue(java.lang.String key,
                         java.lang.Object newValue)

  Sets the `Value` associated with the specified key.

  Specified by:
    `putValue` in interface `HelpAction`
  Parameters:
    `key` - the `String` that identifies the stored object
    `newValue` - the `Object` to store using this key
  See Also:
    `Action#putValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD